probe::socket.create.return
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.create.return — Return from Creation of a socket

## Synopsis

    socket.create.return

## Values

`type`

  Socket type value

`name`

  Name of this probe

`err`

  Error code if success == 0

`family`

  Protocol family value

`success`

  Was socket creation successful? (1 = yes, 0 = no)

`protocol`

  Protocol value

`requester`

  Requested by user process or the kernel (1 = kernel, 0 = user)

## Context

The requester (user process or kernel)

## Description

Fires at the conclusion of creating a socket.

Prev | Up | Next
probe::socket.create | Home | probe::socket.read_iter